# $Revision: 1.23 $, $Date: 2004/08/18 13:41:26 $
Summary:	The BSD 4.4 version of make
Summary(de):	Berkeley's Parallel Make
Summary(fr):	Make parallle de Berkeley
Summary(pl):	make w wersji z BSD 4.4
Summary(tr):	Paralel Make program
Name:		pmake
Version:	2.1.36
Release:	3
License:	BSD
Group:		Development/Tools
Source0:	ftp://ftp.icsi.berkeley.edu/pub/ai/stolcke/software/%{name}-%{version}.tar.Z
# Source0-md5:	7831782071d2389849f81ed22b429edd
Source1:	%{name}-sys-alpha.mk
Source2:	%{name}-sys-i386.mk
Source3:	%{name}-sys-sparc.mk
Source4:	%{name}-sys-ppc.mk
Source5:	%{name}-sys-x86_64.mk
Patch0:		%{name}-glibc.patch
Patch1:		%{name}-include.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Make is a GNU tool which allows users to build and install programs
without any significant knowledge of the build process. Details about
how the program should be built are included in the program's
Makefile. Pmake is a particular version (BSD 4.4) of make. Pmake
supports some additional syntax which is not in the standard make
program. Some Berkeley programs have Makefiles written for pmake.

Pmake should be installed on your system so that you will be able to
build programs which require using pmake instead of make.

%description -l de
Das Programm make dient zum Koordinieren der Kompilierung und
Verknpfen einer Reihe von Quellen zu einem Programm, wobei nur die
notwendigen Teile neu kompiliert werden, was dem. Entwickler viel Zeit
spart. make kann noch viel mehr- lesen Sie die Doku.

Pmake ist eine besondere Version von make, die zustzliche Syntax
untersttzt, die im herkmmlichen Programm nicht enthalten ist. Einige
Berkeley-Programme enthalten Makefiles fr pmake.

%description -l fr
make sert  coordonner la compilation et l'dition de liens d'un
ensemble de sources pour donner un programme, en ne recompilant que ce
qui est ncessaire et en faisant donc gagner beaucoup de temps au
dveloppeur. En fait, make peut faire beaucoup plus, lisez les docs
info.

pmake est une version particulire de make qui gre une syntaxe
additionnelle qui n'est pas dans le make standard. Certains programmes
Berkeley ont des makefiles crits pour pmake.

%description -l pl
make jest narzdziem GNU pozwalajcym na budowanie i instalowanie
programw bez wikszej wiedzy na temat procesu budowania. Szczegy
dotyczce tego jak program powinien by budowany s doczane do
Makefile programu. pmake jest konkretn wersj (BSD 4.4) make. pmake
obsuguje troch rozszerze skadni, ktrych nie ma standardowy make.
Niektre programy z BSD maj Makefile pisane dla pmake.

%description -l tr
Pmake, standart make program iinde yer almayan ek bir takm
szdizimlerini destekleyen bir make program srmdr. Baz Berkeley
programlar, pmake iin yazlm Makefile dosyalarna sahiptir.

%package customs
Summary:	A remote execution facility for pmake
Summary(pl):	Uatwienie zdalnego wywoywania pmake
Group:		Development/Tools

%description customs
Customs is a remote execution facility for PMake. Customs is designed
to run on a network of machines with a consistent, shared filesystem.
Customs requires Sun RPC in order to use XDR (eXternal Data
Representation) routines for logging functions.

A single server is designated as the master agent and is additionally
responsible for noting when a machine goes down, from which machines
any given machine will accept jobs and parcelling out available
machines to requesting clients. The job of master is not given to any
one machine but, rather, is decided among the active agents whenever
the previous master dies.

Clients are provided to:
 - alter the availability criteria for the local machine (importquota)
 - find the status of all registered hosts on the net (reginfo).
 - abort, restart or ping any customs agent on the network (cctrl).
 - export a command from the shell (export).
 - accept log information from all hosts on the net (logd).

%description customs -l pl
customs to dodatek do pmake uatwiajcy zdalne uruchamianie. customs
jest zaprojektowany do pracy na maszynach w sieci ze spjnym,
dzielonym systemem plikw. Wymaga Sun RPC aby uywa procedur XDR
(eXternal Data Representation) do logowania funkcji.

Pojedynczy serwer jest wyznaczany jako gwny i jest dodatkowo
odpowiedzialny za sprawdzenie kiedy inna maszyna przestaje dziaa (z
ktrej to maszyny dowolna inna maszyna musi przej prace), oraz za
przydzia dostpnych maszyn dajcych ich klientom. Praca gwnego
serwera nie jest oddawania jednej maszynie, ale raczej jest
przydzielana wybranej spord aktywnych kiedy poprzednia przestaje
dziaa.

Klienci maj z zadanie:
- podawa kryteria swojej dostpnoci (importquota)
- sprawdza stan wszystkich zarejestrowanych maszyn w sieci (reginfo)
- zakoczy, zrestartowa, pingowa dowolnego agenta customs (cctrl)
- wyda polecenie z powoki (export)
- przyj logi od innych maszyn w sieci (logd).

%prep
%setup -q -n pmake
%patch0 -p1
%patch1 -p1

for I in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5}; do
	cp -f $I ./lib/mk/`echo $I | sed 's@.*sys-@sys-@'`
done
for I in i486 i586 i686 i786 athlon; do
	ln -sf sys-i386.mk lib/mk/sys-$I.mk
done
for I in sparc64 sparcv9; do
	ln -sf sys-sparc.mk lib/mk/sys-$I.mk
done

for I in makefile config.mk common.mk doc/Makefile ; do
  perl -pi -e '
    s,= /usr/local/bin,= %{_bindir},;
    s,= /usr/local/lib/pmake,= %{_datadir}/pmake,;
    s,= /usr/bin,= %{_bindir},;
    s,= /usr/sbin,= %{_sbindir},;
    s,= /usr/lib/pmake,= %{_datadir}/pmake,;
    s,= /usr/lib,= %{_libdir},;
    s,= /usr/include,= %{_includedir},;
    s,/usr/man,%{_mandir},;
    s,/usr/lib/tmac,= %{_datadir}/tmac,
    ' $I
done

%build
#
# Bootstrap build of local pmake with makefile's
mkdir bin
%{__make} CC="%{__cc} %{rpmcflags}" SYSFLAGS="-DSYSV -DSVR4" \
	BINDIR=`pwd`/bin LIBDIR=`pwd`/lib/pmake
%{__make} CC="%{__cc} %{rpmcflags}" SYSFLAGS="-DSYSV -DSVR4" \
	BINDIR=`pwd`/bin LIBDIR=`pwd`/lib/pmake install

#
# Then build pmake using pmake & Makefile's
`pwd`/bin/pmake CC="%{__cc} %{rpmcflags}" SYSFLAGS="-DSYSV -DSVR4" \
	ETCDIR=%{_sbindir} \
	MANDIR=%{_mandir} \
	LIBDIR=%{_datadir}/pmake \
	USRLIBDIR=%{_libdir} \
	INCLUDEDIR=%{_includedir}/customs \
        all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_includedir},%{_libdir},%{_mandir}}

`pwd`/bin/pmake CC="%{__cc} %{rpmcflags}" SYSFLAGS="-DSYSV -DSVR4" \
	DESTDIR=${RPM_BUILD_ROOT} \
	ETCDIR=${RPM_BUILD_ROOT}%{_sbindir} \
	MANDIR=${RPM_BUILD_ROOT}%{_mandir} \
	LIBDIR=${RPM_BUILD_ROOT}%{_datadir}/pmake \
	USRLIBDIR=${RPM_BUILD_ROOT}%{_libdir} \
	INCLUDEDIR=${RPM_BUILD_ROOT}%{_includedir}/customs \
        install

# XXX rename export.1 to customs_export.1 to avoid conflict with bash export.1.
mv -f $RPM_BUILD_ROOT%{_mandir}/man1/{export,customs_export}.1
mv -f customs/README customs/README.customs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc customs/README.customs CHANGES README doc/* etc tests
%attr(755,root,root) %{_bindir}/pmake
%attr(755,root,root) %{_bindir}/vmake
%{_mandir}/man1/pmake.1*
%{_datadir}/pmake

%files customs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/reginfo
%attr(755,root,root) %{_bindir}/export
%attr(755,root,root) %{_bindir}/rexport
%attr(755,root,root) %{_sbindir}/importquota
%attr(755,root,root) %{_sbindir}/cctrl
%attr(755,root,root) %{_sbindir}/logd
%attr(755,root,root) %{_sbindir}/customs

%{_mandir}/man1/reginfo.1*
%{_mandir}/man1/customs_export.1*
%{_mandir}/man1/rexport.1*
%{_mandir}/man8/customs.8*
%{_mandir}/man8/cctrl.8*
%{_mandir}/man8/importquota.8*
%{_mandir}/man8/logd.8*

%attr(755,root,root) %{_libdir}/libcustoms*
%{_includedir}/customs

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pmake.spec,v $
Revision 1.23  2004/08/18 13:41:26  domelu
- rel. 3 to rebuild

Revision 1.22  2003/12/21 20:17:48  undefine
- amd64 support, small fixes to athlon...

Revision 1.21  2003/12/20 15:09:23  undefine
- add ppc support, release 2

Revision 1.20  2003/08/17 15:22:37  undefine
- update to 2.1.36

Revision 1.19  2003/05/28 13:01:18  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:25:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/06 23:13:33  qrczak
- pmake-include.patch: add missing #includes.
- Release 8.

Revision 1.16  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.15  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:14:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/28 13:57:56  qboosh
- try to fix %%prep

Revision 1.11  2001/12/12 14:00:27  qboosh
- pl description; release 7

Revision 1.10  2001/05/02 21:51:26  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.9  2000/07/17 00:20:43  kloczek
- merged de, fr, tr translations from BeroLinux spec file,
- some cosmetics.

Revision 1.8  2000/07/13 12:57:32  baggins
- s/libdir/datadir/

Revision 1.7  2000/07/13 12:48:23  baggins
- typo

Revision 1.6  2000/07/13 12:43:59  baggins
- typo

Revision 1.5  2000/07/12 20:07:53  baggins
- typo

Revision 1.4  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.3  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

Based on spec from RedHat.
